Subject: Re: GSoC 2008 - Mentors Wanted!

From: "Shawn O. Pearce" <[email-masked]>
Date: Wed, 5 Mar 2008 01:06:05 -0500

Matthieu Moy <[email-masked]> wrote:
> Jakub posted an idea about git.el (Emacs support) a few days ago:
> > * GNU Emacs git GUI
> >
> >   Make git mode for Emacs full featured git GUI, and not only commit
> >   tool, following ideas of PCL-CVS... and its limitation. I guess that
> >   DVC (http://download.gna.org/dvc) git mode is one thing to examine
...
> 
> Since I've been quite involved in DVC in the past, I'm willing to help
> with this, but unfortunately, I'm swamped with work and I can't commit
> for ~5-10h/week on that.
> 
> So, if someone else steps in, perhaps we could rephrase the subject in
> a "merge git.el and DVC, and improve it" way, and I could co-mentor
> this one.

Thanks.  It would be nice to be able to have several mentors per
student project, to ease the burden on mentors.  But as you go
away from the core of git into the less widely used areas (e.g. I
am not an emacs user and thus do not touch the emacs git support)
its harder to find multiple mentors.  Then again, emacs users are
a friendly bunch so we might get lucky and have 5 emacs mentors. :)

> All that said, I think most of the ideas already on the wiki should be
> prioritized (I love Emacs, but I think more people need a good Windows
> support/GUI for example).

Yea.  But one thing I learned last year from GSoC was that students
are likely to come in one of three forms:

  Type a)  Just copy and paste our idea text.
           No thought on their part.

  Type b)  Actually think about our idea text and expand upon it.

  Type c)  Come up with their own really cool project idea.

Type c is what you really want, especially if the project idea
is well thought out by the student.  Type b is a close second.
Last year's students were all in this category.  Type a, well,
we had a number of type a applications last year.  Most orgs do.

In short, prioritizing this list doesn't really offer any great value
to us.  Not until we are actually faced with student applications
we like and we have to decide which ones get slots, and which don't.

-- 
Shawn.